summaryrefslogtreecommitdiffstats
path: root/audio/tauonmb/tauonmb.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/tauonmb/tauonmb.SlackBuild')
-rw-r--r--audio/tauonmb/tauonmb.SlackBuild91
1 files changed, 91 insertions, 0 deletions
diff --git a/audio/tauonmb/tauonmb.SlackBuild b/audio/tauonmb/tauonmb.SlackBuild
new file mode 100644
index 0000000000..ebfd8d1881
--- /dev/null
+++ b/audio/tauonmb/tauonmb.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for tauonmb
+
+# Copyright 2019-2021 Pouria Rezaei <Pouria.rz@outlook.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=tauonmb
+VERSION=${VERSION:-6.6.0}
+SRCNAM=TauonMusicBox
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# build phazor
+gcc src/phazor/kissfft/kiss_fftr.c src/phazor/kissfft/kiss_fft.c src/phazor/phazor.c \
+ `pkg-config --cflags --libs samplerate libpulse-simple opusfile vorbisfile libmpg123 flac libopenmpt` \
+ -shared -o libphazor.so -fPIC -Wall -O3 # -Wextra
+mkdir -p lib
+mv libphazor.so lib/libphazor.so
+rm -fR src
+
+mkdir -p $PKG/opt/tauon-music-box $PKG/usr/bin
+mv * $PKG/opt/tauon-music-box
+install -m 0755 $PKG/opt/tauon-music-box/extra/tauonmb.sh $PKG/opt/tauon-music-box/tauonmb.sh
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/tauonmb.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/share/icons/hicolor/128x128/apps
+cp $PKG/opt/tauon-music-box/assets/icon-128.png $PKG/usr/share/icons/hicolor/128x128/apps/tauonmb.png
+
+ln -s /opt/tauon-music-box/tauonmb.sh $PKG/usr/bin/tauon
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/opt/tauon-music-box
+ mv *.md CHANGELOG LICENSE $PKG/usr/doc/$PRGNAM-$VERSION )
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -p -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}